Bug 202343 - su integration with ssh-agent
su integration with ssh-agent
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-13 05:15 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-15 06:10:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-08-13 05:15:45 EDT
ssh-agent is used for managing lots of identifies to authentication users
against multiple computers. It seems sensible, from an ease of use point of
view, for su to become integrated with ssh-agent.

Example:
# give ssh-agent access to my private key
ssh-add
Password: (once)
# Authenticate against remote server
ssh user@remotebox1
# Authenticate against remote server 2
ssh user2@remotebox2

# Change to root
su
Password: (every time)

It would be good if I could give su a list of trusted ssh keys.
Comment 1 Tim Waugh 2006-08-15 06:10:43 EDT
This can be done outside su by using a PAM module.

Note You need to log in before you can comment on or make changes to this bug.